%define	name	searchandrescue
%define	Name	SearchAndRescue
%define	version 0.8.2
%define release %mkrel 2
%define Summary	The Search and Rescue helicopter simulator

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License: 	GPL
Group: 		Games/Other
Url: 		http://wolfpack.twu.net/SearchAndRescue/index.html
Source0:	http://wolfpack.twu.net/users/wolfpack/%{Name}-%{version}.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
Patch0:		%{name}-0.8.2.gcc4.patch.bz2
Buildrequires:	libjsw-devel
Buildrequires:	libyiff-devel
Buildrequires:	XFree86-devel
Buildrequires:	Mesa-common-devel
Requires:	%{name}-data
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	%{Name}
Provides:	%{Name}

%description
Changing the pace of recent sterotypical game themes, Search and Rescue aims to 
create a plot based on positive goals such as saving victims in varying 
situations of distress.
The player will be given the chance to pilot different types of rescue aircraft 
in a variety of search and rescue style missions.
Search and Rescue is highly customizeable by allowing intermediate players to 
create their own missions and allowing experianced players to design their own 
aircraft and scenery.  

%prep
%setup -q -n %{Name}-%{version}
%patch0 -p1

%build
export CFLAGS=$RPM_OPT_FLAGS
export CPP="gcc -x c"
./configure Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
make CPPFLAGS=""

%install
rm -rf %{buildroot}
make PREFIX=%{buildroot}%{_prefix} MAN_DIR=%{buildroot}%{_mandir}/man6 install

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

# menu entry
mkdir -p %{buildroot}%{_libdir}/menu
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_gamesbindir}/%{Name}" \
	needs="X11" \
	icon="%{name}.png" \
	section="More Applications/Games/Other" \
	title="Search and Rescue" \
	longtitle="%{Summary}"
EOF


%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS  HACKING  INSTALL  LICENSE  README
%{_gamesbindir}/*
%{_mandir}/man6/*
%{_menudir}/%{name}
%{_iconsdir}/%{Name}*.xpm
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.2-2mdk
- fixed build with gcc 4
- renamed to searchandrescue
- %%mkrel
- spec cleanup
- split data in a distinct subpackage

* Mon Sep 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.2-1mdk
- 0.8.2

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.1-4mdk
- rebuild for new menu
- cosmetics

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.1-3mdk 
- explicit --libdir

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.8.1-2mdk
- rebuild
- rpmbuilupdate aware
- no more explicit requires
- fixed buildrequires
- fixed menu section

* Mon Jul 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.1-1mdk
- 0.8.1
- quiet setup
- add new xpm files

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.21-2mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Tue Feb 18 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.21-1mdk
- 0.7.21

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.20-3mdk
- add xpm icon

* Thu Sep 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.20-2mdk
- rebuild

* Mon Jul 22 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.20-1mdk
- 0.7.20
- build with new gcc

* Fri Mar 08 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.19-1mdk
- 0.7.19
- used png for icons

* Sun Jan 06 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.7.15-2mdk
- rebuild with new libjsw
- spec cleanup

* Thu Oct 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7.15-1mdk
- 0.7.15

* Thu Sep 06 2001 Lenny Cartier <lenny@mandrakesoft.com 0.7e-2mdk
- rebuild against new jsw

* Thu Jun 21 2001 Lenny Cartier <lenny@mandrakesoft.com 0.7e-1mdk
- updated to 0.7e

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7d-2mdk
- updated by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- fix compilation flags
	- added Mesa-common-devel to buildrequires
	- synced with Lenny's spec

* Thu Apr 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7d-1mdk
- updated to 0.7d
- fix install

* Wed Mar 14 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.7c-1mdk
- updated to 0.7c
- fix requires & added buildrequires

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- use egcs
- used specfile from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- corrected summary (Packager's law : any copy & paste will bring at least one error in specfile)

* Tue Feb 06 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.7-1mdk
- first Mandrake release
